/*
** This file is part of BrandyTerminal, a Mac OS X container for Brandy.
** Copyright (C) 2004, 2005 Crispian Daniels
**
** BrandyTerminal is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** BrandyTerminal is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with BrandyTerminal; see the file COPYING.  If not, write to
** the Free Software Foundation, 59 Temple Place - Suite 330,
** Boston, MA 02111-1307, USA.
**
**
**	This file contains the interface for the GraphicsView class.
**
**	The GraphicsView class provides a window-based target for graphical operations.
*/

#import <AppKit/AppKit.h>

@class MyDocument;

@interface GraphicsView : NSQuickDrawView {
	struct btjlScreenBufferStruct *screenBuffer;
	CTabHandle colourTable;
	GWorldPtr gworld;
	NSView *terminalView;
        MyDocument *document;
}

- (void)setScreen:(struct btjlScreenBufferStruct *)screen;
- (void)setDocument:(MyDocument *)theDocument;

@end
