/*
** This file is part of BrandyTerminal, a Mac OS X container for Brandy.
** Copyright (C) 2002, 2004-5 Crispian Daniels
**
** BrandyTerminal is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** BrandyTerminal is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with BrandyTerminal; see the file COPYING.  If not, write to
** the Free Software Foundation, 59 Temple Place - Suite 330,
** Boston, MA 02111-1307, USA.
**
**
**	This file contains the interface for the MyDocument class.
**
**	The MyDocument class groups the objects involved in
**	opening and maintaining a Brandy session.
*/

#import <Cocoa/Cocoa.h>

@class StartupOptions;
@class Child;
@class TerminalIO;
@class BackChannel;
@class OutputInterpreter;
@class TerminalWindowController;

@interface MyDocument : NSDocument
{
	NSWindow *window;
    Child *child_process;
    TerminalIO *io;
    BackChannel *backChannel;
    OutputInterpreter *interpreter;
    NSTimer * updateTimer;
}
- (void)interpreterReady:(OutputInterpreter *)theInterpreter;
- (FILE *)inputStream;
- (TerminalIO *)io;

- (TerminalWindowController*)terminalWindowController;

- (void)keyDown:(NSEvent *)theEvent;
- (void)insertText:(id)aString;
- (IBAction)interrupt:(id)sender;
- (void)paste:(id)sender;

- (void)jlibSimulationRequest:(BackChannel *)channel;
- (void)screenUpdateRequest:(BackChannel *)channel;
@end
